Opened 9 years ago

Closed 9 years ago

#26 closed defect (fixed)

Invalid html of webconsole

Reported by: _d3r3k4 Owned by: zzz
Priority: minor Milestone: 0.7.11
Component: apps/console Version:
Keywords: Cc:
Parent Tickets:

Description

webconsole is according to its header html but contains non-html tags (i2p.*) which are not valid.

elinks (text-browser) show these raw tags in webconsole output:

elinks --dump http://127.0.0.1:7657/index.jsp

please correct this behaviour so webconsole is 'normal' web page according to standards.

[25]Local destinations

   --------------------------------------------------------------------------

   [26]Client [27]shared clients [28]Ready
   [29]Client [30]IRC Proxy      [31]Ready

   --------------------------------------------------------------------------

                               I2P Router Console

   <i2p.news date="$Date: 2009-10-12 00:00:00 $"> <i2p.release
   version="0.7.7" date="2009/10/12" minVersion="0.6"
   anonurl="http://i2p/NF2RLVUxVulR3IqK0sGJR0dHQcGXAzwa6rEO4WAWYXOHw-DoZhKnlbf1nzHXwMEJoex5nFTyiNMqxJMWlY54cvU~UenZdkyQQeUSBZXyuSweflUXFqKN-y8xIoK2w9Ylq1k8IcrAFDsITyOzjUKoOPfVq34rKNDo7fYyis4kT5bAHy~2N1EVMs34pi2RFabATIOBk38Qhab57Umpa6yEoE~r
byR~suDRvD7gjBvBiIKFqhFueXsR2uSrPB-yzwAGofTXuklofK3DdKspciclTVzqbDjsk5UXfu2nTrC1agkhLyqlOfjhyqC~t1IXm-Vs2o7911k7KKLGjB4lmH508YJ7G9fLAUyjuB-wwwhejoWqvg7oWvqo4oIok8LG6ECR71C3dzCvIjY2QcrhoaazA9G4zcGMm6NKND-H4XY6tUWhpB~5GefB3YczOqMbHq4wi0O9MzB
FrOJEOs3X4hwboKWANf7DT5PZKJZ5KorQPsYRSq0E3wSOsFCSsdVCKUGsAAAA/i2p/i2pupdate.sud"
   publicurl="http://dev.i2p.net/i2p/i2pupdate.sud"
   anonannouncement="http://i2p/NF2RLVUxVulR3IqK0sGJR0dHQcGXAzwa6rEO4WAWYXOHw-DoZhKnlbf1nzHXwMEJoex5nFTyiNMqxJMWlY54cvU~UenZdkyQQeUSBZXyuSweflUXFqKN-y8xIoK2w9Ylq1k8IcrAFDsITyOzjUKoOPfVq34rKNDo7fYyis4kT5bAHy~2N1EVMs34pi2RFabATIOBk38Qhab57Um
pa6yEoE~rbyR~suDRvD7gjBvBiIKFqhFueXsR2uSrPB-yzwAGofTXuklofK3DdKspciclTVzqbDjsk5UXfu2nTrC1agkhLyqlOfjhyqC~t1IXm-Vs2o7911k7KKLGjB4lmH508YJ7G9fLAUyjuB-wwwhejoWqvg7oWvqo4oIok8LG6ECR71C3dzCvIjY2QcrhoaazA9G4zcGMm6NKND-H4XY6tUWhpB~5GefB3YczOqMbHq
4wi0O9MzBFrOJEOs3X4hwboKWANf7DT5PZKJZ5KorQPsYRSq0E3wSOsFCSsdVCKUGsAAAA/pipermail/i2p/2005-September/000878.html"
   publicannouncement="http://dev.i2p.net/pipermail/i2p/2005-September/000878.html"/>
   <i2p.notes date="2005/08/08"
   anonurl="http://i2p/NF2RLVUxVulR3IqK0sGJR0dHQcGXAzwa6rEO4WAWYXOHw-DoZhKnlbf1nzHXwMEJoex5nFTyiNMqxJMWlY54cvU~UenZdkyQQeUSBZXyuSweflUXFqKN-y8xIoK2w9Ylq1k8IcrAFDsITyOzjUKoOPfVq34rKNDo7fYyis4kT5bAHy~2N1EVMs34pi2RFabATIOBk38Qhab57Umpa6yEoE~r
byR~suDRvD7gjBvBiIKFqhFueXsR2uSrPB-yzwAGofTXuklofK3DdKspciclTVzqbDjsk5UXfu2nTrC1agkhLyqlOfjhyqC~t1IXm-Vs2o7911k7KKLGjB4lmH508YJ7G9fLAUyjuB-wwwhejoWqvg7oWvqo4oIok8LG6ECR71C3dzCvIjY2QcrhoaazA9G4zcGMm6NKND-H4XY6tUWhpB~5GefB3YczOqMbHq4wi0O9MzB
FrOJEOs3X4hwboKWANf7DT5PZKJZ5KorQPsYRSq0E3wSOsFCSsdVCKUGsAAAA/pipermail/i2p/2005-July/000826.html"
   publicurl="http://dev.i2p.net/pipermail/i2p/2005-July/000826.html"
   anonlogs="http://i2p/Nf3ab-ZFkmI-LyMt7GjgT-jfvZ3zKDl0L96pmGQXF1B82W2Bfjf0n7~288vafocjFLnQnVcmZd~-p0-Oolfo9aW2Rm-AhyqxnxyLlPBqGxsJBXjPhm1JBT4Ia8FB-VXt0BuY0fMKdAfWwN61-tj4zIcQWRxv3DFquwEf035K~Ra4SWOqiuJgTRJu7~o~DzHVljVgWIzwf8Z84cz0X33pv-m
dG~~y0Bsc2qJVnYwjjR178YMcRSmNE0FVMcs6f17c6zqhMw-11qjKpY~EJfHYCx4lBWF37CD0obbWqTNUIbL~78vxqZRT3dgAgnLixog9nqTO-0Rh~NpVUZnoUi7fNR~awW5U3Cf7rU7nNEKKobLue78hjvRcWn7upHUF45QqTDuaM3yZa7OsjbcH-I909DOub2Q0Dno6vIwuA7yrysccN1sbnkwZbKlf4T6~iDdhaSLJd9
7QCyPOlbyUfYy9QLNExlRqKgNVJcMJRrIual~Lb1CLbnzt0uvobM57UpqSAAAA/meeting141"
   publiclogs="http://www.i2p.net/meeting141"/>

      * 2009-11-20: Forthcoming I2P 0.7.8 release

   The I2P dev team has defined goals for the next release of I2P, slated for
   the 12th December. 0.7.8 will include important changes to the
   [32]floodfill system in order to lay the foundations for support for
   millions of routers and destinations.

   Also, the fruits of the ongoing router console translation effort will
   make their first appearance; we currently have full Chinese support and a
   partial French implementation. If you're currently working on translation
   of the console, please ensure you check in your work before the 2nd of
   December to guarantee inclusion in 0.7.8.

   Additionally, randomized ports for new installs, ongoing console
   improvements including a new "midnight" theme, and numerous other tweaks
   and fixes make for a compelling release!

Subtickets

Change History (5)

comment:1 Changed 9 years ago by _d3r3k4

problematic part is located in 'news' (code wrapper to lenght 80 not to produce looong lines):

<h1>I2P Router Console</h1>
<div class="news" id="news">
 
 
 
 
 <i2p.news date="$Date: 2009-10-12 00:00:00 $">
 <i2p.release version="0.7.7" date="2009/10/12" minVersion="0.6" anonurl="http:/
/i2p/NF2RLVUxVulR3IqK0sGJR0dHQcGXAzwa6rEO4WAWYXOHw-DoZhKnlbf1nzHXwMEJoex5nFTyiNM
qxJMWlY54cvU~UenZdkyQQeUSBZXyuSweflUXFqKN-y8xIoK2w9Ylq1k8IcrAFDsITyOzjUKoOPfVq34
rKNDo7fYyis4kT5bAHy~2N1EVMs34pi2RFabATIOBk38Qhab57Umpa6yEoE~rbyR~suDRvD7gjBvBiIK
FqhFueXsR2uSrPB-yzwAGofTXuklofK3DdKspciclTVzqbDjsk5UXfu2nTrC1agkhLyqlOfjhyqC~t1I
Xm-Vs2o7911k7KKLGjB4lmH508YJ7G9fLAUyjuB-wwwhejoWqvg7oWvqo4oIok8LG6ECR71C3dzCvIjY
2QcrhoaazA9G4zcGMm6NKND-H4XY6tUWhpB~5GefB3YczOqMbHq4wi0O9MzBFrOJEOs3X4hwboKWANf7
DT5PZKJZ5KorQPsYRSq0E3wSOsFCSsdVCKUGsAAAA/i2p/i2pupdate.sud" publicurl="http://d
ev.i2p.net/i2p/i2pupdate.sud" anonannouncement="http://i2p/NF2RLVUxVulR3IqK0sGJR
0dHQcGXAzwa6rEO4WAWYXOHw-DoZhKnlbf1nzHXwMEJoex5nFTyiNMqxJMWlY54cvU~UenZdkyQQeUSB
ZXyuSweflUXFqKN-y8xIoK2w9Ylq1k8IcrAFDsITyOzjUKoOPfVq34rKNDo7fYyis4kT5bAHy~2N1EVM
s34pi2RFabATIOBk38Qhab57Umpa6yEoE~rbyR~suDRvD7gjBvBiIKFqhFueXsR2uSrPB-yzwAGofTXu
klofK3DdKspciclTVzqbDjsk5UXfu2nTrC1agkhLyqlOfjhyqC~t1IXm-Vs2o7911k7KKLGjB4lmH508
YJ7G9fLAUyjuB-wwwhejoWqvg7oWvqo4oIok8LG6ECR71C3dzCvIjY2QcrhoaazA9G4zcGMm6NKND-H4
XY6tUWhpB~5GefB3YczOqMbHq4wi0O9MzBFrOJEOs3X4hwboKWANf7DT5PZKJZ5KorQPsYRSq0E3wSOs
FCSsdVCKUGsAAAA/pipermail/i2p/2005-September/000878.html" publicannouncement="ht
tp://dev.i2p.net/pipermail/i2p/2005-September/000878.html"/>
 <i2p.notes date="2005/08/08" anonurl="http://i2p/NF2RLVUxVulR3IqK0sGJR0dHQcGXAz
wa6rEO4WAWYXOHw-DoZhKnlbf1nzHXwMEJoex5nFTyiNMqxJMWlY54cvU~UenZdkyQQeUSBZXyuSwefl
UXFqKN-y8xIoK2w9Ylq1k8IcrAFDsITyOzjUKoOPfVq34rKNDo7fYyis4kT5bAHy~2N1EVMs34pi2RFa
bATIOBk38Qhab57Umpa6yEoE~rbyR~suDRvD7gjBvBiIKFqhFueXsR2uSrPB-yzwAGofTXuklofK3DdK
spciclTVzqbDjsk5UXfu2nTrC1agkhLyqlOfjhyqC~t1IXm-Vs2o7911k7KKLGjB4lmH508YJ7G9fLAU
yjuB-wwwhejoWqvg7oWvqo4oIok8LG6ECR71C3dzCvIjY2QcrhoaazA9G4zcGMm6NKND-H4XY6tUWhpB
~5GefB3YczOqMbHq4wi0O9MzBFrOJEOs3X4hwboKWANf7DT5PZKJZ5KorQPsYRSq0E3wSOsFCSsdVCKU
GsAAAA/pipermail/i2p/2005-July/000826.html" publicurl="http://dev.i2p.net/piperm
ail/i2p/2005-July/000826.html" anonlogs="http://i2p/Nf3ab-ZFkmI-LyMt7GjgT-jfvZ3z
KDl0L96pmGQXF1B82W2Bfjf0n7~288vafocjFLnQnVcmZd~-p0-Oolfo9aW2Rm-AhyqxnxyLlPBqGxsJ
BXjPhm1JBT4Ia8FB-VXt0BuY0fMKdAfWwN61-tj4zIcQWRxv3DFquwEf035K~Ra4SWOqiuJgTRJu7~o~
DzHVljVgWIzwf8Z84cz0X33pv-mdG~~y0Bsc2qJVnYwjjR178YMcRSmNE0FVMcs6f17c6zqhMw-11qjK
pY~EJfHYCx4lBWF37CD0obbWqTNUIbL~78vxqZRT3dgAgnLixog9nqTO-0Rh~NpVUZnoUi7fNR~awW5U
3Cf7rU7nNEKKobLue78hjvRcWn7upHUF45QqTDuaM3yZa7OsjbcH-I909DOub2Q0Dno6vIwuA7yryscc
N1sbnkwZbKlf4T6~iDdhaSLJd97QCyPOlbyUfYy9QLNExlRqKgNVJcMJRrIual~Lb1CLbnzt0uvobM57
UpqSAAAA/meeting141" publiclogs="http://www.i2p.net/meeting141"/>

<h4><ul><li>2009-11-20: Forthcoming I2P 0.7.8 release</li></ul></h4>
<p>The I2P dev team has defined goals for the next release of I2P, slated for th
e 12th December. 0.7.8 will include important changes to the <a href="http://www
.i2p2.i2p/how_networkdatabase#floodfill">floodfill system</a> in order to lay th
e foundations for support for millions of routers and destinations.</p><p>Also, 
the fruits of the ongoing router console translation effort will make their firs
t appearance; we currently have full Chinese support and a partial French implem
entation. If you're currently working on translation of the console, please ensu
re you check in your work before the 2nd of December to guarantee inclusion in 0
.7.8.</p><p>Additionally, randomized ports for new installs, ongoing console imp
rovements including a new "midnight" theme, and numerous other tweaks and fixes 
make for a compelling release!</p>

comment:2 Changed 9 years ago by anonymous

check via `validate' command:

$ validate http://localhost:7657/index.jsp 

*** Errors validating http://localhost:7657/index.jsp: ***
Error at line 69, character 4:  end tag for element "P" which is not open;
        try removing the end tag or check for improper nesting of elements
Error at line 95, character 191:  duplicate specification of attribute
        "TITLE"
Error at line 111, character 17:  there is no attribute "DATE" for this
        element (in this HTML version)
Error at line 111, character 47:  element "I2P.NEWS" not defined in this
        HTML version
Error at line 112, character 23:  there is no attribute "VERSION" for this
        element (in this HTML version)
Error at line 112, character 36:  there is no attribute "DATE" for this
        element (in this HTML version)
Error at line 112, character 60:  there is no attribute "MINVERSION" for
        this element (in this HTML version)
Error at line 112, character 74:  there is no attribute "ANONURL" for this
        element (in this HTML version)
Error at line 112, character 632:  there is no attribute "PUBLICURL" for
        this element (in this HTML version)
Error at line 112, character 688:  there is no attribute "ANONANNOUNCEMENT"
        for this element (in this HTML version)
Error at line 112, character 1278:  there is no attribute
        "PUBLICANNOUNCEMENT" for this element (in this HTML version)
Error at line 112, character 1339:  element "I2P.RELEASE" not defined in
        this HTML version
Error at line 113, character 18:  there is no attribute "DATE" for this
        element (in this HTML version)
Error at line 113, character 39:  there is no attribute "ANONURL" for this
        element (in this HTML version)
Error at line 113, character 615:  there is no attribute "PUBLICURL" for
        this element (in this HTML version)
Error at line 113, character 681:  there is no attribute "ANONLOGS" for
        this element (in this HTML version)
Error at line 113, character 1233:  there is no attribute "PUBLICLOGS" for
        this element (in this HTML version)
Error at line 113, character 1264:  element "I2P.NOTES" not defined in this
        HTML version
Error at line 115, character 8:  element "UL" not allowed here; possible
        cause is an inline element containing a block-level element
Error at line 117, character 8:  element "UL" not allowed here; possible
        cause is an inline element containing a block-level element
Error at line 119, character 427:  end tag for "I2P.NOTES" omitted;
        possible causes include a missing end tag, improper nesting of
        elements, or use of an element where it is not allowed
        Line 113, character 2:  start tag was here
Error at line 119, character 427:  end tag for "I2P.RELEASE" omitted;
        possible causes include a missing end tag, improper nesting of
        elements, or use of an element where it is not allowed
        Line 112, character 2:  start tag was here
Error at line 170, character 13:  element "BR" not allowed here; assuming
        missing "LI" start-tag

comment:3 Changed 9 years ago by anonymous

  • Milestone set to 0.7.11

comment:4 Changed 9 years ago by anonymous

  • Owner set to zzz
  • Status changed from new to assigned

We could probably just put all that inside XML comment since NewsFetcher? does a simple search for the version string. I did remove most of the crap but the i2p.news and i2p.release tags remain. It's all leftovers from some plan for a browser plugin that never happened.

comment:5 Changed 9 years ago by zzz

  • Resolution set to fixed
  • Status changed from assigned to closed

Ok I put comments around the i2p tags.

Note: See TracTickets for help on using tickets.